<?php
/**
 * @package    mapbox
 *
 * @author     christophf <your@email.com>
 * @copyright  A copyright
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       http://your.url.com
 */

defined('_JEXEC') or die;

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

if (!class_exists('MapBox')) {
    require_once JPATH_ROOT . '/modules/mod_mapbox/MapBox.php';
}

$mapbox = new MapBox(false, $params);

$options = MapBox::prepareContent($params->get('GeoJson', '{}'));

echo $mapbox->render($options, $module->title);
